Create URL
curl --request POST \
--url https://sandbox.cashfree.com/verification/digilocker \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "ABC00123",
"document_requested": [
"AADHAAR",
"PAN",
"DRIVING_LICENSE"
],
"redirect_url": "https://www.cashfree.com"
}
'import requests
url = "https://sandbox.cashfree.com/verification/digilocker"
payload = {
"verification_id": "ABC00123",
"document_requested": ["AADHAAR", "PAN", "DRIVING_LICENSE"],
"redirect_url": "https://www.cashfree.com"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
verification_id: 'ABC00123',
document_requested: ['AADHAAR', 'PAN', 'DRIVING_LICENSE'],
redirect_url: 'https://www.cashfree.com'
})
};
fetch('https://sandbox.cashfree.com/verification/digilocker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/digilocker",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'verification_id' => 'ABC00123',
'document_requested' => [
'AADHAAR',
'PAN',
'DRIVING_LICENSE'
],
'redirect_url' => 'https://www.cashfree.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/digilocker"
payload := strings.NewReader("{\n \"verification_id\": \"ABC00123\",\n \"document_requested\": [\n \"AADHAAR\",\n \"PAN\",\n \"DRIVING_LICENSE\"\n ],\n \"redirect_url\": \"https://www.cashfree.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/digilocker")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"verification_id\": \"ABC00123\",\n \"document_requested\": [\n \"AADHAAR\",\n \"PAN\",\n \"DRIVING_LICENSE\"\n ],\n \"redirect_url\": \"https://www.cashfree.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/digilocker")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"verification_id\": \"ABC00123\",\n \"document_requested\": [\n \"AADHAAR\",\n \"PAN\",\n \"DRIVING_LICENSE\"\n ],\n \"redirect_url\": \"https://www.cashfree.com\"\n}"
response = http.request(request)
puts response.read_body{
"verification_id": "ABC00123",
"reference_id": 12345,
"url": "https://verification-test.cashfree.com/dgl/h7562ci7us0",
"status": "PENDING",
"document_requested": [
"AADHAAR",
"PAN",
"DRIVING_LICENSE"
],
"redirect_url": "https://www.cashfree.com"
}Create URL
Use this API to create a DigiLocker URL to retrieve and verify Aadhaar, PAN, and driving-license information of your customer.
POST
/
digilocker
Create URL
curl --request POST \
--url https://sandbox.cashfree.com/verification/digilocker \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "ABC00123",
"document_requested": [
"AADHAAR",
"PAN",
"DRIVING_LICENSE"
],
"redirect_url": "https://www.cashfree.com"
}
'import requests
url = "https://sandbox.cashfree.com/verification/digilocker"
payload = {
"verification_id": "ABC00123",
"document_requested": ["AADHAAR", "PAN", "DRIVING_LICENSE"],
"redirect_url": "https://www.cashfree.com"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
verification_id: 'ABC00123',
document_requested: ['AADHAAR', 'PAN', 'DRIVING_LICENSE'],
redirect_url: 'https://www.cashfree.com'
})
};
fetch('https://sandbox.cashfree.com/verification/digilocker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/digilocker",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'verification_id' => 'ABC00123',
'document_requested' => [
'AADHAAR',
'PAN',
'DRIVING_LICENSE'
],
'redirect_url' => 'https://www.cashfree.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/digilocker"
payload := strings.NewReader("{\n \"verification_id\": \"ABC00123\",\n \"document_requested\": [\n \"AADHAAR\",\n \"PAN\",\n \"DRIVING_LICENSE\"\n ],\n \"redirect_url\": \"https://www.cashfree.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/digilocker")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"verification_id\": \"ABC00123\",\n \"document_requested\": [\n \"AADHAAR\",\n \"PAN\",\n \"DRIVING_LICENSE\"\n ],\n \"redirect_url\": \"https://www.cashfree.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/digilocker")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"verification_id\": \"ABC00123\",\n \"document_requested\": [\n \"AADHAAR\",\n \"PAN\",\n \"DRIVING_LICENSE\"\n ],\n \"redirect_url\": \"https://www.cashfree.com\"\n}"
response = http.request(request)
puts response.read_body{
"verification_id": "ABC00123",
"reference_id": 12345,
"url": "https://verification-test.cashfree.com/dgl/h7562ci7us0",
"status": "PENDING",
"document_requested": [
"AADHAAR",
"PAN",
"DRIVING_LICENSE"
],
"redirect_url": "https://www.cashfree.com"
}Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Body
application/json
Find the request parameters to create a DigiLocker URL to retrieve and verify aadhaar, pan, driving-license information.
Response
Success response for creating a DigiLocker URL for document verification
